View Issue Details

IDProjectCategoryView StatusLast Update
0001046SOGoWeb Preferencespublic2014-04-09 11:10
Reportertolivier Assigned Toludovic  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.4 
Target Version2.2.4Fixed in Version2.2.4 
Summary0001046: Report any Sieve error
Description

Don't save settings and warn user when sieve server is unavailable or when any error is report.

TagsNo tags attached.

Activities

milatorix

milatorix

2011-01-22 06:37

reporter   ~0002040

In relation to this problem i have encountered another problem. While experimenting with Sieve filters, I entered a faulty Sieve command. As a result the whole user preferences (c_defaults) were overridden with the default values. I managed to recover the preferences by manually entering the values into the database, but this should not happen.

ludovic

ludovic

2012-09-25 09:45

administrator   ~0004544

How did you enter a "faulty Sieve rule"?

ludovic

ludovic

2014-04-09 11:10

administrator   ~0006862

https://github.com/inverse-inc/sogo/commit/4fbe937f6dae1847650b8060662cf06f82240711

Issue History

Date Modified Username Field Change
2010-12-07 11:37 tolivier New Issue
2011-01-22 06:37 milatorix Note Added: 0002040
2011-11-24 15:34 ludovic Target Version => 1.3.11
2011-12-12 12:32 francis Target Version 1.3.11 => 1.3.12
2012-02-08 14:36 ludovic Target Version 1.3.12 => 1.3.13
2012-03-16 11:39 francis Target Version 1.3.13 => 1.3.14
2012-03-23 08:33 francis Target Version 1.3.14 => 1.3.15
2012-05-09 11:40 ludovic Target Version 1.3.15 => 1.3.16
2012-05-29 15:59 ludovic Target Version 1.3.16 => 1.3.17
2012-07-16 08:44 ludovic Target Version 1.3.17 => 1.3.18
2012-08-27 11:57 francis Target Version 1.3.18 => 2.0.0
2012-09-25 09:45 ludovic Note Added: 0004544
2012-09-27 14:34 francis Target Version 2.0.0 => 2.0.1
2012-10-03 12:49 wsourdeau Target Version 2.0.1 =>
2014-04-09 10:59 ludovic Target Version => 2.2.4
2014-04-09 11:10 ludovic Note Added: 0006862
2014-04-09 11:10 ludovic Status new => resolved
2014-04-09 11:10 ludovic Fixed in Version => 2.2.4
2014-04-09 11:10 ludovic Resolution open => fixed
2014-04-09 11:10 ludovic Assigned To => ludovic